Scheduling Pages
Get a Single-Use Scheduling Link
Generate a one-time-use scheduling link for a scheduling page so that only one invitee can book before the link expires.
GET
/
event-types
/
{uuid}
/
single-use-link
Get a single-use scheduling link
curl --request GET \
--url https://api.zeeg.me/v2/event-types/{uuid}/single-use-link \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.zeeg.me/v2/event-types/{uuid}/single-use-link"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.zeeg.me/v2/event-types/{uuid}/single-use-link', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"link": "https://zeeg.me/S/axo3kbv54/30min-discovery-call",
"eventTypeUri": "https://api.zeeg.me/v2/event-types/80f46bf5-eb01-4c07-960e-a9a3e18aae5e"
}{
"message": "Unauthenticated."
}{
"error": "Entry for EventType not found"
}Authorizations
Path Parameters
UUID of the scheduling page
Query Parameters
If you have enabled payments for a scheduling page, you can assign a price when generating a single-use scheduling link to override the default price. This is helpful when you want to offer a paid event at a discounted price or completely for free. If your scheduling page has multiple durations, please note that the price override applies to all durations.
Last modified on April 29, 2026
⌘I
Get a single-use scheduling link
